org.apache.tinkerpop.gremlin.process.traversal.lambda

## Class TrueTraversal<S>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.lambda.AbstractLambdaTraversal<S,S>
  - - org.apache.tinkerpop.gremlin.process.traversal.lambda.TrueTraversal<S>

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, Iterator<S>, Traversal<S,S>, Traversal.Admin<S,S>

      public final class TrueTraversal<S>
      extends AbstractLambdaTraversal<S,S>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `Traversal.Admin<S,E>, Traversal.Exceptions, Traversal.Symbols`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.lambda.AbstractLambdaTraversal

      `bypassTraversal`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrueTraversal<S>` | `clone()` Cloning is used to duplicate the traversal typically in OLAP environments.
    `boolean` | `equals(Object other)`
    `static <S> TrueTraversal<S>` | `instance()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.lambda.AbstractLambdaTraversal

      `addStart, addStep, applyStrategies, getBytecode, getGraph, getParent, getSideEffects, getSteps, getStrategies, getTraverserGenerator, getTraverserRequirements, hashCode, hasNext, isLocked, next, nextTraverser, removeStep, reset, setBypassTraversal, setGraph, setParent, setSideEffects, setStrategies`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal.Admin

      `addStarts, addStep, equals, getEndStep, getStartStep, getTraversalSource, removeStep`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `asAdmin, close, explain, fill, forEachRemaining, forEachRemaining, iterate, next, none, profile, promise, toBulkSet, toList, toSet, toStream, tryNext`

    - ### Methods inherited from interface java.util.Iterator

      `remove`

- - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### instance

          public static <S> TrueTraversal<S> instance()

    - #### clone

          public TrueTraversal<S> clone()

      Description copied from interface: `Traversal.Admin`
      Cloning is used to duplicate the traversal typically in OLAP environments.
      Specified by:
        `clone` in interface `Traversal.Admin<S,S>`
      Overrides:
        `clone` in class `AbstractLambdaTraversal<S,S>`
      Returns:
        The cloned traversal

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `AbstractLambdaTraversal<S,S>`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.